from django.urls import path
from .views import rtpath, tpath, wildcard_additional_page

from core.models import AdditionalPagePost
from db.main.models import *

urlpatterns = [
    tpath('', 'home', {'home': 'active'}),
    
    rtpath('postl/<int:id>', 'postl', LeftPost, {'home': 'active'}),
    rtpath('aktualnosci/<int:id>', 'postm', MiddlePost, {'home': 'active'}),
    rtpath('postp/<int:id>', 'postr', RightPost, {'home': 'active'}),
    rtpath('baner/<int:id>', 'banner', Banner, {'home': 'active'}),

    rtpath('post/<int:id>', 'post', AdditionalPagePost, {'post': 'active'}),
    path('<str:wildcard>', wildcard_additional_page),
]
